<template>
  <article>
    <b-dropdown>
      <template #selector>
        <button>Dropdown</button>
      </template>
      <b-dropdown-item bold no-hover>Title</b-dropdown-item>
      <b-dropdown-item @click.prevent="log(1)">Item 1</b-dropdown-item>
      <b-dropdown-item @click.prevent="log(2)">Item 2</b-dropdown-item>
      <b-dropdown-item no-hover @click.prevent="log(3)">Item 3</b-dropdown-item>
      <b-dropdown-item @click.prevent="log(4)">Item 4</b-dropdown-item>
    </b-dropdown>

    <div style="float: right;">
      <b-dropdown>
        <template #selector>
          <button>Dropdown</button>
        </template>
        <b-dropdown-item bold no-hover>Title</b-dropdown-item>
        <b-dropdown-item @click.prevent="log(1)">Item 1</b-dropdown-item>
        <b-dropdown-item @click.prevent="log(2)">Item 2</b-dropdown-item>
        <b-dropdown-item @click.prevent="log(3)">Item 3</b-dropdown-item>
        <b-dropdown-item @click.prevent="log(4)">Item 4</b-dropdown-item>
      </b-dropdown>
    </div>

    <b-dropdown position="mouse">
      <template #selector>
        <button>Dropdown</button>
      </template>
      <b-dropdown-item bold no-hover>Title</b-dropdown-item>
      <b-dropdown-divider />
      <b-dropdown-item icon="bin" @click.prevent="log(1)">
        Item 1
      </b-dropdown-item>
      <b-dropdown-divider />
      <b-dropdown-item icon="plus" @click.prevent="log(2)">
        Item 2
      </b-dropdown-item>
      <b-dropdown-item icon="plus" @click.prevent="log(3)">
        Item 3
      </b-dropdown-item>
      <b-dropdown-item icon="plus" @click.prevent="log(4)">
        Item 4
      </b-dropdown-item>
    </b-dropdown>

    <div style="float: right;">
      <b-dropdown position="mouse">
        <template #selector>
          <button>Dropdown</button>
        </template>
        <b-dropdown-item bold no-hover>Title</b-dropdown-item>
        <b-dropdown-divider />
        <b-dropdown-item icon="bin" @click.prevent="log(1)">
          Item 1
        </b-dropdown-item>
        <b-dropdown-divider />
        <b-dropdown-item icon="plus" @click.prevent="log(2)">
          Item 2
        </b-dropdown-item>
        <b-dropdown-item icon="plus" @click.prevent="log(3)">
          Item 3
        </b-dropdown-item>
        <b-dropdown-item icon="plus" @click.prevent="log(4)">
          Item 4
        </b-dropdown-item>
      </b-dropdown>
    </div>

    <b-dropdown position="bottom">
      <template #selector>
        <button>Dropdown</button>
      </template>
      <b-dropdown-item bold no-hover>Title</b-dropdown-item>
      <b-dropdown-divider />
      <b-dropdown-item icon="bin" @click.prevent="log(1)">
        Item 1
      </b-dropdown-item>
      <b-dropdown-divider />
      <b-dropdown-item icon="plus" @click.prevent="log(2)">
        Item 2
      </b-dropdown-item>
      <b-dropdown-item icon="plus" @click.prevent="log(3)">
        Item 3
      </b-dropdown-item>
      <b-dropdown-item icon="plus" @click.prevent="log(4)">
        Item 4
      </b-dropdown-item>
    </b-dropdown>

    <div style="float: right;">
      <b-dropdown position="bottom">
        <template #selector>
          <button>Dropdown</button>
        </template>
        <b-dropdown-item bold no-hover>Title</b-dropdown-item>
        <b-dropdown-divider />
        <b-dropdown-item icon="bin" @click.prevent="log(1)">
          Item 1
        </b-dropdown-item>
        <b-dropdown-divider />
        <b-dropdown-item icon="plus" @click.prevent="log(2)">
          Item 2
        </b-dropdown-item>
        <b-dropdown-item icon="plus" @click.prevent="log(3)">
          Item 3
        </b-dropdown-item>
        <b-dropdown-item icon="plus" @click.prevent="log(4)">
          Item 4
        </b-dropdown-item>
      </b-dropdown>
    </div>

    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>
    <p>
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text text text text text text text text text text text
      text text text text text
    </p>

    <b-dropdown>
      <template #selector>
        <button>Dropdown</button>
      </template>
      <b-dropdown-item bold no-hover>Title</b-dropdown-item>
      <b-dropdown-item @click.prevent="log(1)">Item 1</b-dropdown-item>
      <b-dropdown-item @click.prevent="log(2)">Item 2</b-dropdown-item>
      <b-dropdown-item @click.prevent="log(3)">Item 3</b-dropdown-item>
      <b-dropdown-item @click.prevent="log(4)">Item 4</b-dropdown-item>
    </b-dropdown>

    <div style="float: right;">
      <b-dropdown>
        <template #selector>
          <button>Dropdown</button>
        </template>
        <b-dropdown-item bold no-hover>Title</b-dropdown-item>
        <b-dropdown-item @click.prevent="log(1)">Item 1</b-dropdown-item>
        <b-dropdown-item @click.prevent="log(2)">Item 2</b-dropdown-item>
        <b-dropdown-item @click.prevent="log(3)">Item 3</b-dropdown-item>
        <b-dropdown-item @click.prevent="log(4)">Item 4</b-dropdown-item>
      </b-dropdown>
    </div>

    <b-dropdown position="mouse">
      <template #selector>
        <button>Dropdown</button>
      </template>
      <b-dropdown-item bold no-hover>Title</b-dropdown-item>
      <b-dropdown-divider />
      <b-dropdown-item icon="bin" @click.prevent="log(1)">
        Item 1
      </b-dropdown-item>
      <b-dropdown-divider />
      <b-dropdown-item icon="plus" @click.prevent="log(2)">
        Item 2
      </b-dropdown-item>
      <b-dropdown-item icon="plus" @click.prevent="log(3)">
        Item 3
      </b-dropdown-item>
      <b-dropdown-item icon="plus" @click.prevent="log(4)">
        Item 4
      </b-dropdown-item>
    </b-dropdown>

    <div style="float: right;">
      <b-dropdown position="mouse">
        <template #selector>
          <button>Dropdown</button>
        </template>
        <b-dropdown-item bold no-hover>Title</b-dropdown-item>
        <b-dropdown-divider />
        <b-dropdown-item icon="bin" @click.prevent="log(1)">
          Item 1
        </b-dropdown-item>
        <b-dropdown-divider />
        <b-dropdown-item icon="plus" @click.prevent="log(2)">
          Item 2
        </b-dropdown-item>
        <b-dropdown-item icon="plus" @click.prevent="log(3)">
          Item 3
        </b-dropdown-item>
        <b-dropdown-item icon="plus" @click.prevent="log(4)">
          Item 4
        </b-dropdown-item>
      </b-dropdown>
    </div>

    <b-dropdown position="bottom">
      <template #selector>
        <button>Dropdown</button>
      </template>
      <b-dropdown-item bold no-hover>Title</b-dropdown-item>
      <b-dropdown-divider />
      <b-dropdown-item icon="bin" @click.prevent="log(1)">
        Item 1
      </b-dropdown-item>
      <b-dropdown-divider />
      <b-dropdown-item icon="plus" @click.prevent="log(2)">
        Item 2
      </b-dropdown-item>
      <b-dropdown-item icon="plus" @click.prevent="log(3)">
        Item 3
      </b-dropdown-item>
      <b-dropdown-item icon="plus" @click.prevent="log(4)">
        Item 4
      </b-dropdown-item>
    </b-dropdown>

    <div style="float: right;">
      <b-dropdown position="bottom">
        <template #selector>
          <button>Dropdown</button>
        </template>
        <b-dropdown-item bold no-hover>Title</b-dropdown-item>
        <b-dropdown-divider />
        <b-dropdown-item icon="bin" @click.prevent="log(1)">
          Item 1
        </b-dropdown-item>
        <b-dropdown-divider />
        <b-dropdown-item icon="plus" @click.prevent="log(2)">
          Item 2
        </b-dropdown-item>
        <b-dropdown-item icon="plus" @click.prevent="log(3)">
          Item 3
        </b-dropdown-item>
        <b-dropdown-item icon="plus" @click.prevent="log(4)">
          Item 4
        </b-dropdown-item>
      </b-dropdown>
    </div>
  </article>
</template>

<script>
import BDropdown from '../components/BDropdown/BDropdown'
import BDropdownItem from '../components/BDropdown/BDropdownItem'
import BDropdownDivider from '../components/BDropdown/BDropdownDivider'

export default {
  name: 'b-dropdown-view',
  components: {
    BDropdown,
    BDropdownItem,
    BDropdownDivider,
  },
  methods: {
    log: function (item) {
      console.log('Clicked item ' + item + ' from the dropdown.')
    },
  },
}
</script>
